<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'chinese-traditional';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'zh_TW.Big5';
		break;

	default:
		$locale = 'zh_TW';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'			=>	'Big5',
'lang_multibyte'		=>	true,

// Notices
'Bad request'			=>	's~CzϥΪs~ΤwġC',
'No permission'			=>	'zSvsC',
'Bad referer'			=>	'HTTP_REFERER ~CzqvasJCаh^Aդ@CpGAoͬۦPDAнT{ Admin/Options ̪ \'Base URL\' ]wL~At~AХIs覡iJC',

// Miscellaneous (used in many scripts)
'Announcement'			=>	'i',
'Options'				=>	'ﶵ',
'Actions'				=>	'ʧ@',
'Submit'				=>	'eX',	// "name" of submit buttons
'Ban message'			=>	'zwQvC',
'Ban message 2'			=>	'vɮĦ',
'Ban message 3'			=>	'Nzv׾©Ϊ޲zzTOG',
'Ban message 4'			=>	'ðݽлP׾º޲zpG',
'Never'					=>	'L',
'Today'					=>	'',
'Yesterday'				=>	'Q',
'Info'					=>	'T',		// a common table header
'Go back'				=>	'^e',
'Maintenance'			=>	'@',
'Redirecting'			=>	'J',
'Click redirect'		=>	'pGQAAάOzsS۰ʸJsAЫC',
'Login required'		=>	'ХnJ',
'on'					=>	'ҥ',		// as in "BBCode is on"
'off'					=>	'',
'Invalid e-mail'		=>	'zJqlla}LġC',
'required field'		=>	'Ф@wnC',	// for javascript form validation
'Last post'				=>	'̫^',
'by'					=>	'@',	// as in last post by someuser
'New posts'				=>	's峹',	// the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'		=>	'ܥDDĤ@gs峹C',	// the popup text for new posts links
'Username'				=>	'b',
'Password'				=>	'KX',
'E-mail'				=>	'qll',
'Send e-mail'			=>	'HXqll',
'Registered'			=>	'U',
'Subject'				=>	'DD',
'Message'				=>	'e',
'Topic'					=>	'DD',
'Forum'					=>	'',
'Posts'					=>	'峹',
'Replies'				=>	'^',
'Author'				=>	'@',
'Pages'					=>	'',
'BBCode'				=>	'BBCode',	// You probably shouldn't change this
'img tag'				=>	'[img] ',
'Smilies'				=>	'Ÿ',
'and'					=>	'',
'Image link'			=>	'Ϥ',	// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'					=>	'gD',	// For [quote]'s
'Code'					=>	'{X',		// For [code]'s
'Mailer'				=>	'tεoñW',	// As in "MyForums Mailer" in the signature of outgoing e-mails

// Title
'Title'					=>	'ٿ',
'Member'				=>	'|',	// Default title
'Moderator'				=>	'޲z',
'Administrator'			=>	'޲z',
'Banned'				=>	'v',
'Guest'					=>	'X',

// Stuff for include/parser.php
'BBCode error'			=>	'峹 BBCode ykTC',
'BBCode error 1'		=>	' [/quote] oS [quote]C',
'BBCode error 2'		=>	' [code] oS [/code]C',
'BBCode error 3'		=>	' [/code] oS [code]C',
'BBCode error 4'		=>	'ʤ֤@өΦh [/quote]C',
'BBCode error 5'		=>	'ʤ֤@өΦh [quote]C',

// Stuff for the navigator (top of every page)
'Home'					=>	'',
'User list'				=>	'ϥΪ̲M',
'Rules'					=>  'W',
'Search'				=>  'jM',
'Register'				=>  'U',
'Login'					=>  'nJ',
'Not logged in'			=>  'z|nJC',
'Profile'				=>	'ӤH',
'Logout'				=>	'nX',
'Logged in as'			=>	'nJG',
'Admin'					=>	'޲z',
'Last visit'			=>	'WӳXG',

// Stuff for the page footer
'Show new posts'		=>	'CXҦs峹',
'Show unanswered posts'	=>	'CXL^峹',
'Show your posts'		=>	'CXۤv峹',
'Mark all as read'		=>	'ҦХܦwŪ',
'Jump to'				=>	'ֳts',
'Go'					=>	'iJ',		// submit button in forum jump
'Move topic'			=>  'ʥDD',
'Open topic'			=>  '}ҥDD',
'Close topic'			=>  'DD',
'Unstick topic'			=>  'DDm',
'Stick topic'			=>  ']wDDm',
'Moderate forum'		=>	'޲z',
'Delete posts'			=>	'Rhg峹'

);
